update-manager crashed, while upgrading to Kubuntu 8.04 Hardy amd64, no-ip package

Bug #233917 reported by Velek on 2008-05-22
8
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: update-manager

While upgrading to Kubuntu 8.04 Hardy amd64, i get this message:

package noip2 None [modified: /var/lib/dpkg/info/noip2.list] failed to install/upgrade: subprocess post-installation script returned error exit status 1

then the whole upgrade crashed.
Then i tied to run again after removing no-ip packages, crash again:

Traceback (most recent call last):
  File "/tmp/tmp.ELxgo12324/hardy", line 60, in <module>
    app.run()
  File "/tmp/tmp.ELxgo12324/DistUpgradeController.py", line 1550, in run
    self.fullUpgrade()
  File "/tmp/tmp.ELxgo12324/DistUpgradeController.py", line 1513, in fullUpgrade
    if not self.askDistUpgrade():
  File "/tmp/tmp.ELxgo12324/DistUpgradeController.py", line 818, in askDistUpgrade
    self.cache.requiredDownload)
  File "/tmp/tmp.ELxgo12324/DistUpgradeViewKDE.py", line 631, in confirmChanges
    msg = unicode(self.confirmChangesMessage, 'UTF-8')
AttributeError: 'DistUpgradeViewKDE' object has no attribute 'confirmChangesMessage'

Velek (velek) wrote :
Velek (velek) wrote : main.log
Nick Ellery (nick.ellery) wrote :

Thanks for your bug report. In /var/log/dist-upgrade/, there should be a file called term.log. Please attach this to the report. Also, what version of Ubuntu did you have before you tried updating?

Changed in update-manager:
status: New → Incomplete
Velek (velek) wrote :

I had the previous verson 7.10 gutsy.

Changed in update-manager:
status: Incomplete → New
Chris Coulson (chrisccoulson) wrote :

Thanks Velek - The noip2 problem is bug 222408. Do you still experience this update-manager crash?

Thanks

Changed in update-manager:
importance: Undecided → Medium
status: New → Incomplete
Velek (velek) wrote :

I have not upgraded the os since then, so I don't know.

Chris Coulson (chrisccoulson) wrote :

Thanks.

The crashing problem is actually a duplicate of bug 221023 (which now appears to be fixed), so I'm marking it as such.

Changed in update-manager:
status: Incomplete → Invalid

Merci de me répondre,mais je ne parle que le françcais et je n'y connais rien en informatique.
Pouvez-vous me faire parvenir un tutoriel en français.
Merci

> Message du 26/09/08 13:41
> De : "Chris Coulson" <email address hidden>
> A : <email address hidden>
> Copie à :
> Objet : [Bug 233917] Re: update-manager crashed, while upgrading to Kubuntu 8.04 Hardy amd64, no-ip package
>
>
> *** This bug is a duplicate of bug 221023 ***
> https://bugs.launchpad.net/bugs/221023
>
> Thanks.
>
> The crashing problem is actually a duplicate of bug 221023 (which now
> appears to be fixed), so I'm marking it as such.
>
> ** Changed in: update-manager (Ubuntu)
> Status: Incomplete => Invalid
>
> ** This bug has been marked a duplicate of bug 221023
> update manager crashes when there are no updates
>
> --
> update-manager crashed, while upgrading to Kubuntu 8.04 Hardy amd64, no-ip package
> https://bugs.launchpad.net/bugs/233917
> You received this bug notification because you are subscribed to update-
> manager in ubuntu.
>
> Status in “update-manager” source package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: update-manager
>
> While upgrading to Kubuntu 8.04 Hardy amd64, i get this message:
>
> package noip2 None [modified: /var/lib/dpkg/info/noip2.list] failed to install/upgrade: subprocess post-installation script returned error exit status 1
>
> then the whole upgrade crashed.
> Then i tied to run again after removing no-ip packages, crash again:
>
> Traceback (most recent call last):
> File "/tmp/tmp.ELxgo12324/hardy", line 60, in <module>
> app.run()
> File "/tmp/tmp.ELxgo12324/DistUpgradeController.py", line 1550, in run
> self.fullUpgrade()
> File "/tmp/tmp.ELxgo12324/DistUpgradeController.py", line 1513, in fullUpgrade
> if not self.askDistUpgrade():
> File "/tmp/tmp.ELxgo12324/DistUpgradeController.py", line 818, in askDistUpgrade
> self.cache.requiredDownload)
> File "/tmp/tmp.ELxgo12324/DistUpgradeViewKDE.py", line 631, in confirmChanges
> msg = unicode(self.confirmChangesMessage, 'UTF-8')
> AttributeError: 'DistUpgradeViewKDE' object has no attribute 'confirmChangesMessage'
>
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers